Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 339455 - net-print/xpp _FORTIFY_SOURCE indicates presence of overflow
Summary: net-print/xpp _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Printing Team
URL:
Whiteboard: Pending Removal: 2012-03-13
Keywords: PMASKED
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-10-02 12:39 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-03-18 12:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (xpp-1.5:20101002-092955.log,11.32 KB, text/plain)
2010-10-02 12:40 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-02 12:39:55 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-02 12:40:19 UTC
Created attachment 249291 [details]
Build log
Comment 2 Andreas K. Hüttel gentoo-dev 2011-10-02 22:11:28 UTC
Upstream is dead since 2004. Nothing in the tree depends on it.

Candidate for treecleaning?
Comment 3 Pacho Ramos gentoo-dev 2012-03-18 12:15:54 UTC
dropped